using System.Runtime.InteropServices;
using Decal.Interop.Input;

namespace Decal.DecalInput
{
    [ComVisible(true)]
    [Guid("85AB0296-124E-4E68-A6A8-FCF5721AC09B")]
    [ClassInterface(ClassInterfaceType.None)]
    [ProgId("DecalInput.WndMsg")]
    public class WndMsgImpl : IWndMsg
    {
        public int HWND { get; internal set; }
        public int Message { get; internal set; }
        public int WParam { get; internal set; }
        public int LParam { get; internal set; }
        public bool Eat { get; set; }

        internal void Set(int hwnd, int msg, int wParam, int lParam)
        {
            HWND = hwnd;
            Message = msg;
            WParam = wParam;
            LParam = lParam;
            Eat = false;
        }
    }
}
